/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.data;

import javax.swing.ActionMap;
import org.openide.cookies.SaveCookie;
import org.openide.explorer.ExplorerManager;
import org.openide.explorer.ExplorerUtils;
import org.openide.util.Lookup;
import org.openide.util.lookup.AbstractLookup;
import org.openide.util.lookup.InstanceContent;
import org.openide.util.lookup.ProxyLookup;

/**
 *
 * @author Timon Veenstra
 */
public class DataProvider implements ExplorerManager.Provider, Lookup.Provider{

    private final ExplorerManager explorerManager;
    private final Lookup lookup;
    private final InstanceContent content;

    public DataProvider(ExplorerManager explorerManager, ActionMap actionMap) {
        this.explorerManager = explorerManager;
        content  = new InstanceContent();
        this.lookup =  new ProxyLookup(ExplorerUtils.createLookup(explorerManager, actionMap), new AbstractLookup(content));
    }

    @Override
    public ExplorerManager getExplorerManager() {
        return this.explorerManager;
    }

    @Override
    public Lookup getLookup() {
        return this.lookup;
    }

    public void addSaveCookie(SaveCookie saveCookie){
        content.add(saveCookie);
    }

     public void removeSaveCookie(SaveCookie saveCookie){
        content.remove(saveCookie);
    }
}
